:root, [data-bs-theme="light"] {
    --bs-font-sans-serif: 'Noto Sans', sans-serif;
}

[data-bs-theme="dark"] {
    .table-success {
        --bs-table-color: #fff;
        --bs-table-bg: rgb(50, 70, 60); /* 209, 231, 221 */
        --bs-table-border-color: rgb(80, 100, 90); /* 167, 185, 177 */
        --bs-table-striped-bg: rgb(60, 80, 70); /* 199, 219, 210 */
        --bs-table-striped-color: #fff;
        --bs-table-active-bg: rgb(70, 90, 80); /* 188, 208, 199 */
        --bs-table-active-color: #fff;
        --bs-table-hover-bg: rgb(65, 85, 75); /* 193, 214, 204 */
        --bs-table-hover-color: #fff;
    }
}

.brand {
    max-width: 360px;
    max-height: 60px;
}

[data-bs-theme="light"] .card-img-overlay .card-title, [data-bs-theme="light"] .card-img-overlay .card-text {
    text-shadow: #e3e6e9 -1px -1px 0, #e3e6e9 1px -1px 0, #e3e6e9 -1px 1px 0, #e3e6e9 1px 1px 0;
}

[data-bs-theme="dark"] .card-img-overlay .card-title, [data-bs-theme="dark"] .card-img-overlay .card-text {
    text-shadow: #333639 -1px -1px 0, #333639 1px -1px 0, #333639 -1px 1px 0, #333639 1px 1px 0;
}

.form-login, .form-register, .form-reset-password-request, .form-reset-password {
    max-width: 400px;
    padding: 1rem;
}
.form-reset-password-check-email {
    max-width: 600px;
    padding: 1rem;
}

.form-login .form-floating:focus-within {
    z-index: 2;
}

.form-login input#username {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-login input#password {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.markdown-disable-margin p {
    margin-bottom: 0;
}

.modal-backdrop {
    --bs-backdrop-opacity: 1;
    backdrop-filter: blur(6px);
    background-color: rgba(0, 0, 0, 0.3);
}

.modal-backdrop.fade {
    transition: opacity .15s linear;
}

a.navbar-brand {
    padding-top: 0;
    padding-bottom: 0;
}
a.navbar-brand img {
    margin-right: 0.5rem;
    max-width: 270px;
    max-height: 40px;
}

.progress .progress-bar {
    transition: none;
}

.w-0 {
    width: 0;
}
